Bug 147065 - Installer detects wrong WLAN PCI card
Installer detects wrong WLAN PCI card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 22:02 EST by Timo Sivula
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timo Sivula 2005-02-03 22:02:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The SMC 2802W WLAN PCI card comes in two versions, Version 1 and
Version 2. Version 1 of the card is supported by the Prism54 driver
included with the 2.6 kernel in FC3. Version 2 of the card is NOT
supported by Prism54, and requires the user to use Ndiswrapper and
Windows drivers. There is no way for the consumer to know which model
of the card he buys because they are sold in similar salespackages.
Most of the currently sold cards are Version 2.

During the install proces, anaconda can not separate between the
Version 1 card and the Version 2 card and configures the system to use
the Prism54 driver regardless of which card is installed. lsmod lists
Prism54 being installed despite Version 2 of the card being in use.
This happens in both upgrade from a previous version of Fedora Core
and when doing a clean install.

The Prism54 module hangs the Version 2 of SMC2802W card. Further,
installing Ndiswrapper in FC3 to use SMC2802W is not possible, due to
the configured Prism54 driver blocking access to the V2 card. 

The SMC2802 V2 works flawlessly in Fedora Core 1 with Ndiswrapper 0.7.

Version-Release number of selected component (if applicable):
Anaconda in FC3 release

How reproducible:
Always

Steps to Reproduce:
1. Insert the FC3 install CDROM and run the installation program
2. Reboot the PC
3. issue "lsmod"
4. Try to configure wireless networking with the network configuration
wizard
    

Actual Results:  The network fails to start.

Expected Results:  Network should come up.

Additional info:

My post to fedoraforum.org that got no replies:

I am running a very stable Fedora Core 1 system using a well working
SMC2802W V2 card with Ndiswrapper 0.7. I have tried to upgrade to FC3
both as an upgrade and as a fresh install on a separate HDD but the
card fails to work. This is what I did:

1. I downloaded the Linuxant 2.6 kernel for FC3 with larger stack
2. Installed FC3 on a new HDD
3. Installed and booted the linuxant kernel
4. Compiled and installed Ndiswrapper 0.7
5. Configured networking
6. Rebooted

Of some reason the installation believes I have a SMC2802 V1 card and
loads the Prism54 module, which does not work with my card. I can see
the Prism54 module with lsmod. Also Ndiswrapper is loaded but it does
not work.

7. I added prism54 to /etc/hotplug/blacklist
8. Reboot

Now lsmod no longer shows prism54, but dmesg shows a couple of
loadings and unloadings of Prism54 during the boot process.
Ndiswrapper is loaded but does not work.

9. I can get it to work with

/sbin/rmmod prism54
/sbin/rmmod ndiswrapper
/sbin/modprobe ndiswrapper

I have to do this every boot to make the LAN work, which is not nice.
I could of course add this to rc.local but there should be a neater
solution to this. How do I make Fedora recognise my hardware correctly
to prevent prism54 from loading at all, so that I can have Ndiswrapper
running with the card at startup automaticly?
Comment 1 Bill Nottingham 2005-02-04 17:32:34 EST
prism54 claims the pci id for the driver. It should probably refuse to
claim the card if it doesn't support it.
Comment 2 Bill Nottingham 2005-02-04 17:33:14 EST
Note that you can always add:

install prism54 /bin/true

to /etc/modprobe.conf.
Comment 3 Dave Jones 2005-07-15 14:26:02 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Timo Sivula 2005-07-18 06:37:28 EDT
I am still on Fedora Core 1 because of this bug. How do I test that the new
kernel solves this? If I update or do a clean install from the FC3 DVD I will
end in the same situation. Should I change the kernel on the FC3 DVD to the new
one or how do I test the installer with the new kernel?

br, Timo
Comment 5 Dave Jones 2005-07-29 20:51:30 EDT
If the FC4 DVD doesn't have this defect, the update kernel for FC3 won't either,
as the two kernels are now very close.
Comment 6 Adam Spiers 2005-10-24 08:21:03 EDT
I also have v2 of SMC2802W; installed fc4 recently and it was still
automatically loading prism54 so the issue is not fixed yet.

I do not have sufficient bugzilla privs to change the version field to 'fc4' -
please can someone else update it.

As with other people, I successfully got the card working by doing 'rmmod
prism54' and switching to the ndiswrapper driver (although I am seeing regular
freezes once ndiswrapper is loaded - I have read that this is likely to be fixed
by using a kernel with >4k stacks).
Comment 7 Dave Jones 2006-01-16 17:04:46 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 8 Dave Jones 2006-02-03 00:42:50 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 John Thacker 2006-05-04 09:16:58 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.